Bug 217078 - x11/kde4-workspace: fails to build on armv6
Summary: x11/kde4-workspace: fails to build on armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-13 18:32 UTC by Mikael Urankar
Modified: 2017-06-02 19:29 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
patch (2.83 KB, patch)
2017-02-13 18:32 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2017-02-13 18:32:14 UTC
Created attachment 179955 [details]
patch

error:
[ 13%] Building CXX object kwin/CMakeFiles/kdeinit_kwin.dir/scene_xrender.cpp.o
cd /wrkdirs/usr/ports/x11/kde4-workspace/work/.build/kwin && /nxb-bin/usr/bin/c++   -DDISABLE_NEPOMUK_LEGACY -DHAVE_CONFIG_H=1 -DKDE4_CMAKE_TOPLEVEL_DIR_LENGTH=42 -DKDE_DEPRECATED_WARNINGS -DQT_NO_CAST_TO_ASCII -DQT_NO_STL -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -D_REENTRANT -Dkdeinit_kwin_EXPORTS -I/wrkdirs/usr/ports/x11/kde4-workspace/work/.build/kwin -I/wrkdirs/usr/ports/x11/kde4-workspace/work/kde-workspace-4.11.21/kwin -I/wrkdirs/usr/ports/x11/kde4-workspace/work/kde-workspace-4.11.21/kwin/tabbox -I/wrkdirs/usr/ports/x11/kde4-workspace/work/kde-workspace-4.11.21/kwin/effects -I/wrkdirs/usr/ports/x11/kde4-workspace/work/kde-workspace-4.11.21/kwin/libkdecorations -I/wrkdirs/usr/ports/x11/kde4-workspace/work/kde-workspace-4.11.21/kwin/libkwineffects -I/wrkdirs/usr/ports/x11/kde4-workspace/work/.build/kwin/libkwineffects -I/wrkdirs/usr/ports/x11/kde4-workspace/work/kde-workspace-4.11.21 -I/wrkdirs/usr/ports/x11/kde4-workspace/work/.build -I/wrkdirs/usr/ports/x11/kde4-workspace/work/kde-workspace-4.11.21/libs -I/usr/local/include/kde4 -I/usr/local/include/kde4/KDE -I/usr/local/include/KDE -I/usr/local/include -I/usr/local/include/qt4/phonon -I/usr/local/include/qt4/QtXmlPatterns -I/usr/local/include/qt4/QtXml -I/usr/local/include/qt4/QtWebKit -I/usr/local/include/qt4/QtUiTools -I/usr/local/include/qt4/QtTest -I/usr/local/include/qt4/QtSvg -I/usr/local/include/qt4/QtSql -I/usr/local/include/qt4/QtScript -I/usr/local/include/qt4/QtOpenGL -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtHelp -I/usr/local/include/qt4/QtDesigner -I/usr/local/include/qt4/QtDeclarative -I/usr/local/include/qt4/QtDBus -I/usr/local/include/qt4/Qt3Support -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/Qt -I/usr/local/share/qt4/mkspecs/default -I/usr/local/include/qt4  -O2 -pipe -fno-builtin-sin -fno-builtin-cos -fno-strict-aliasing -fno-builtin-sin -fno-builtin-cos -Wnon-virtual-dtor -Wno-long-long -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -Woverloaded-virtual -fno-common -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -Wno-return-type-c-linkage -O2 -DNDEBUG -DQT_NO_DEBUG -fPIC    -D_LARGEFILE64_SOURCE -DKWIN_HAVE_OPENGL_1 -o CMakeFiles/kdeinit_kwin.dir/scene_xrender.cpp.o -c /wrkdirs/usr/ports/x11/kde4-workspace/work/kde-workspace-4.11.21/kwin/scene_xrender.cpp
/wrkdirs/usr/ports/x11/kde4-workspace/work/kde-workspace-4.11.21/kwin/scene_xrender.cpp:395:33: error: call to 'qFuzzyCompare' is ambiguous
    bool opaque = isOpaque() && qFuzzyCompare(data.opacity(), 1.0);
                                ^~~~~~~~~~~~~
/usr/local/include/qt4/QtCore/qglobal.h:2156:37: note: candidate function
Q_DECL_CONSTEXPR static inline bool qFuzzyCompare(double p1, double p2)
                                    ^
/usr/local/include/qt4/QtCore/qglobal.h:2161:37: note: candidate function
Q_DECL_CONSTEXPR static inline bool qFuzzyCompare(float p1, float p2)
                                    ^
/usr/local/include/qt4/QtGui/qmatrix.h:172:13: note: candidate function
inline bool qFuzzyCompare(const QMatrix& m1, const QMatrix& m2)
            ^
/usr/local/include/qt4/QtGui/qtransform.h:339:13: note: candidate function
inline bool qFuzzyCompare(const QTransform& t1, const QTransform& t2)


The attached patch fixes the issue, obtained from mmel@
Comment 1 Tobias C. Berner freebsd_committer 2017-02-13 18:54:17 UTC
Hi 

this one and the konsole one are still present upstream (or at least the code looks the same at first glance). Can you create reviews for these on https://phabricator.kde.org/



mfg Tobias
Comment 2 Mikael Urankar freebsd_committer 2017-02-25 19:42:10 UTC
konsole-kf5 builds fine on armv6:
http://mikael.urankar.free.fr/FreeBSD/arm/build_logs/konsole-kf5-16.12.2_2.log

I can't create a review for kde-workspace:
https://phabricator.kde.org/source/kde-workspace/
The version of the Plasma desktop up to kdelibs4. This is unmaintained and locked from further changes. If you are looking for the Qt5-based Plasma desktop please check the repositories which belongs to the "Plasma" project.
Comment 3 Mikael Urankar freebsd_committer 2017-05-31 10:29:12 UTC
ping
Comment 4 commit-hook freebsd_committer 2017-06-02 19:15:36 UTC
A commit references this bug:

Author: tcberner
Date: Fri Jun  2 19:14:43 UTC 2017
New revision: 442453
URL: https://svnweb.freebsd.org/changeset/ports/442453

Log:
  Fix ambiguity of qFuzzyCompare on armv6

  PR:		217078
  Submitted by:	Mika?l Urankar <mikael.urankar@gmail.com>

Changes:
  head/x11/kde4-workspace/Makefile
  head/x11/kde4-workspace/files/patch-kwin_effects_blur_blur.cpp
  head/x11/kde4-workspace/files/patch-kwin_scene__xrender.cpp
Comment 5 Tobias C. Berner freebsd_committer 2017-06-02 19:29:39 UTC
Committed. Thanks for the patch, and sorry for the wait.